<html>
<head>
<link rel="stylesheet" type="text/css" href="/stylesheets/efloredoc.css" />
</head>
<body>
<img alt="Tela-botanica"  src="/img/tela.jpg" />
<img alt="Projet eFlore"  src="/img/eflore.jpg" />
<h1>Description des tables de la base de donnes du projet eFlore</h1>
<h2><a name="intro">Introduction</a></h2>
Ce document dcrit l'ensemble des tables de la base de donnes du projet eFLore.
<hr/>
<h2><a name="TableMatieres">Table des matires</a></h2>
<?

include('header.inc.php');

include(EF_PATH_DBACCESS.'connexionefloredb.inc.php');
include(EF_PATH_DBACCESS."eflore_descriptions_tables.def.php");
include(EF_PATH_DBACCESS."eflore_descriptions_colonnes.def.php");
include(EF_PATH_DBACCESS."eflore_parametres.def.php");
include(EF_PATH_DBACCESS."eflore_noms_taxons.def.php");
include(EF_PATH_DBACCESS."eflore_classification_taxons.def.php");
include(EF_PATH_DBACCESS."eflore_descriptions_domaines.def.php");
include(EF_PATH_DBACCESS."eflore_classifications.def.php");
include(EF_PATH_DBACCESS."eflore_noms_vernaculaires.def.php");
include(EF_PATH_DBACCESS."eflore_noms_vernaculaires_taxons.def.php");


function write_valeurs_domaines($domaine,$db,$link)
{
	$sql="select * from ".EF_P." where ".EF_P_GROUPE."='$domaine' ";
	If ($res=mysql($db,$sql,$link))
	{
		
		while ($row = mysql_fetch_array($res,MYSQL_NUM))
		{
		  echo "<LI>$row[1] : $row[4]</LI>";					
		}
		mysql_free_result($res);
		echo "<UL/>";
	}
}


function write_columns_descriptions($table,$colonne,$db,$link)
{
	$sql="select * from ".EF_DC." where ".EF_DC_NOM_TABLE."='$table' and ".EF_DC_NOM_COLONNE."='$colonne'";
	If ($res=mysql($db,$sql,$link))
	{
		

		$row = mysql_fetch_array($res,MYSQL_NUM);
		echo "<TD>".htmlentities($row[3])."&nbsp;";
		if ($row[2]!="")
		{
			echo "Les valeurs que peut prendre cette colonne sont dfinies dans le domaine ";
			echo "<a href=\"documentationbddomaines.php#$row[2]\">$row[2]</a>.";
		}
		echo "</TD>";	
				
	
		mysql_free_result($res);
	}
	else
	{
		echo  "<TD>&nbsp;</TD><TD>&nbsp;</TD>";
	}
}


function write_columns($table,$db,$link)
{
	$sql="show columns from $table";

	If ($res=mysql($db,$sql,$link))
	{
		echo "<TABLE >";
		echo "<THEAD><TH>Nom</TH><TH>Type</TH><TH>Obligatoire</TH><TH>Clef</TH><TH>Description</TH></THEAD>";


			while ($row = mysql_fetch_array($res,MYSQL_NUM))
			{	
				echo "<TR class=\"0\" >";
				echo "<TD>$row[0]&nbsp;</TD>";
				echo "<TD>$row[1]&nbsp;</TD>";
				if ($row[2]=="YES")
				{	echo "<TD>non</TD>"; }
				else
				{	echo "<TD>oui</TD>"; }
				if ($row[3]=="PRI")
				{	echo "<TD>P</TD>"; }
				else
				{	echo "<TD>&nbsp;</TD>"; }
				//echo "<TD>$row[4]&nbsp;</TD>";
				write_columns_descriptions($table,$row[0],$db,$link);
				echo "</TR>";
			}
		echo "</TABLE>";
		mysql_free_result($res);
	}
	
}

function write_table($table,$db,$link)
{
	$sql="select * from ".EF_DT." where ".EF_DT_NOM_TABLE."='$table'";

	If ($res=mysql($db,$sql,$link))
	{
		
		
		$row = mysql_fetch_array($res,MYSQL_NUM);
		
		echo "<H3><a  name=\"".$table."\">Table : ".$row[0]."</H3>";
		echo "<P>";
		echo htmlentities($row[1]);
		echo "<P/>";
			
				
	
		mysql_free_result($res);
	}
	
}



$lk=connectdb();
global $db;

echo "<OL>";
echo "<li><a href=\"#structure\">Tables de structure</a></li>";
echo "<UL>";
echo "<li><a href=\"#".EF_DT."\">".EF_DT."</a></li>";
echo "<li><a href=\"#".EF_DC."\">".EF_DC."</a></li>";
echo "<li><a href=\"#".EF_DD."\">".EF_DD."</a></li>";
echo "<li><a href=\"#".EF_P."\">".EF_P."</a></li>";
echo "</UL>";
echo "<li><a href=\"#dicotaxonomique\">Tables du dictionnaire taxonomique</a></li>";
echo "<UL>";
echo "<li><a href=\"#".EF_TNT."\">".EF_TNT."</a></li>";
echo "<li><a href=\"#".EF_C."\">".EF_C."</a></li>";
echo "<li><a href=\"#".EF_TCT."\">".EF_TCT."</a></li>";
echo "<li><a href=\"#".EF_NV."\">".EF_NV."</a></li>";
echo "<li><a href=\"#".EF_NVT."\">".EF_NVT."</a></li>";
echo "</UL>";
echo "</OL>";

echo "<HR/>";


echo "<H2><a  name=\"structure\">1) Tables de structure</H2>";
write_table(EF_DT,$db,$lk);
write_columns(EF_DT,$db,$lk);
write_table(EF_DC,$db,$lk);
write_columns(EF_DC,$db,$lk);
write_table(EF_DD,$db,$lk);
write_columns(EF_DD,$db,$lk);
write_table(EF_P,$db,$lk);
write_columns(EF_P,$db,$lk);

echo "<HR/>";

echo "<H2><a  name=\"dicotaxonomique\">2) Tables du dictionnaire taxonomique</H2>";
write_table(EF_TNT,$db,$lk);
write_columns(EF_TNT,$db,$lk);
write_table(EF_C,$db,$lk);
write_columns(EF_C,$db,$lk);
write_table(EF_TCT,$db,$lk);
write_columns(EF_TCT,$db,$lk);
write_table(EF_NV,$db,$lk);
write_columns(EF_NV,$db,$lk);
write_table(EF_NVT,$db,$lk);
write_columns(EF_NVT,$db,$lk);


mysql_close();

?>
<hr>
<a href="http://www.estat.com/getstats?serial=237037109547"><img
src="http://perso.estat.com/cgi-bin/perso/237037109547?page=eflore_doc_db"
border=0></a>
</body>
</html>
